/*
 * 	spellhtmlic 2v: ispell wrapper, see spellhtml
 *
 *	(c) Copyright 2002 Lszl Nmeth, All Rights Reserved
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version
 *	2 of the License, or (at your option) any later version.
 *
 *  warning: this flex definition convert some latin-1 character entities!
 */
%x NOTCONTENT
%x COMMENT
%x DECOMMENT
%x DENOTCONTENT
%x ENDDENOTCONTENT
 
%option noyywrap
%%
<DECOMMENT>"-->\\)" {
	printf("-->");
	BEGIN(INITIAL);
}
<COMMENT>"--"[>] {
	printf("-->\\)");
	BEGIN(INITIAL);
}
<DENOTCONTENT>[<][/](CODE|code|PRE|pre|STYLE|style|SCRIPT|script)[^>]*">" {
	printf("%s",yytext);
	BEGIN(ENDDENOTCONTENT);
}
<ENDDENOTCONTENT>"\\)" {
	BEGIN(INITIAL);
}
<NOTCONTENT>[<][/](CODE|code|PRE|pre|STYLE|style|SCRIPT|script)[^>]*[>] {
	printf("%s\\)",yytext);
	BEGIN(INITIAL);
}
<INITIAL>"\\(<"(CODE|code|PRE|pre|STYLE|style|SCRIPT|script)[^>]*[>] {
	printf("%s",yytext+2);
	BEGIN(DENOTCONTENT);
}
<INITIAL>[<](CODE|code|PRE|pre|STYLE|style|SCRIPT|script)[^>]*[>] {
	printf("\\(%s",yytext);
	BEGIN(NOTCONTENT);
}
<INITIAL>"\\(<!--" {
	printf("<!--");
	BEGIN(DECOMMENT);
}
<INITIAL>"<!--" {
	printf("\\(<!--");
	BEGIN(COMMENT);
}

<*>"\%" printf("\\=");
<*>"\\=" printf("%%");
<INITIAL>[<] printf("\\(<");
<INITIAL>"\\(<" printf("<");
<INITIAL>[>] printf(">\\)");
<INITIAL>">\\)" printf(">");
<INITIAL>"&" printf("\\+\\");
<INITIAL>"\\+\\" printf("&");

<INITIAL>&Aacute; printf(""); /* convert bad () and obsolote hungarian HTML character entities */
<INITIAL>&aacute; printf("");
<INITIAL>&Eacute; printf("");
<INITIAL>&eacute; printf("");
<INITIAL>&Iacute; printf("");
<INITIAL>&iacute; printf("");
<INITIAL>&Oacute; printf("");
<INITIAL>&oacute; printf("");
<INITIAL>&Ouml; printf("");
<INITIAL>&ouml; printf("");
<INITIAL>&Otilde; printf("");
<INITIAL>&otilde; printf("");
<INITIAL>&Uacute; printf("");
<INITIAL>&uacute; printf("");
<INITIAL>&Uuml; printf("");
<INITIAL>&uuml; printf("");
<INITIAL>&Ucirc; printf("");
<INITIAL>&ucirc; printf("");
